[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#625413: marked as done (trousers: ftbfs with gcc-4.6 -Werror)

Your message dated Sat, 20 Aug 2011 12:34:46 +0000
with message-id <E1QuklC-0002XL-Gq@franck.debian.org>
and subject line Bug#625413: fixed in trousers 0.3.5-3
has caused the Debian Bug report #625413,
regarding trousers: ftbfs with gcc-4.6 -Werror
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

625413: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=625413
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: trousers
Version: 0.3.5-2
Severity: important
Tags: wheezy sid
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.6 ftbfs-werror

This package builds with -Werror, and GCC 4.6 triggers new warnings
which will make the package fail to build.  Currently a Debian patch
just passes
    -Wno-error=unused-but-set-variable and
to avoid build failures, but this patch will be reverted with the
GCC 4.6.1 release, and the severity of the report will be raised.

The full build log can be found at:
The last lines of the build log are at the end of this report.

--- End Message ---
--- Begin Message ---
Source: trousers
Source-Version: 0.3.5-3

We believe that the bug you reported is fixed in the latest version of
trousers, which is due to be installed in the Debian FTP archive:

  to main/t/trousers/libtspi-dev_0.3.5-3_amd64.deb
  to main/t/trousers/libtspi1_0.3.5-3_amd64.deb
  to main/t/trousers/trousers-dbg_0.3.5-3_amd64.deb
  to main/t/trousers/trousers_0.3.5-3.debian.tar.gz
  to main/t/trousers/trousers_0.3.5-3.dsc
  to main/t/trousers/trousers_0.3.5-3_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625413@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Matthias Klose <doko@debian.org> (supplier of updated trousers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Sat, 20 Aug 2011 14:11:30 +0200
Source: trousers
Binary: trousers trousers-dbg libtspi1 libtspi-dev
Architecture: source amd64
Version: 0.3.5-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
 libtspi-dev - open-source TCG Software Stack (development)
 libtspi1   - open-source TCG Software Stack (library)
 trousers   - open-source TCG Software Stack (daemon)
 trousers-dbg - open-source TCG Software Stack (debug)
Closes: 625413
 trousers (0.3.5-3) unstable; urgency=low
   * QA upload.
   * Fix build failure with GCC 4.6 -Werrror (Thorsten Alteholz).
     Closes: #625413. LP: #829433.
 1e9fbd5f22eb24d1f8b1bce9c6026c711f8f5af5 1127 trousers_0.3.5-3.dsc
 46d2f17f7555a438e6086eafb7be2ee74528bee9 19661 trousers_0.3.5-3.debian.tar.gz
 c5c22adb7767b497fc7f4481f2a2e98e63918841 152562 trousers_0.3.5-3_amd64.deb
 ed98ae2a24b87663f3bb3be47db6e93fa66eb6f7 608648 trousers-dbg_0.3.5-3_amd64.deb
 81ec6b0c190f1ffcd9c730459b8298bbd4090d7a 203442 libtspi1_0.3.5-3_amd64.deb
 48296c2fa0c0d12ef102d37e257fffbecb2f1dfa 660288 libtspi-dev_0.3.5-3_amd64.deb
 f75a95e030fcdd0ab818b733754253c09403f50a768557762c9d57daaa76e0d7 1127 trousers_0.3.5-3.dsc
 59fcea6607a005c800e1513ac284216d372b8d2d4035850eddf5a658f5109a13 19661 trousers_0.3.5-3.debian.tar.gz
 ac0a6c023c095e10be96d945aa7948cbba3267e5c23315dd8bf95cd6d8cedb5b 152562 trousers_0.3.5-3_amd64.deb
 fe3068e3df67562090f9ae1b07832a5d9c4579fefb7047c95e4a003816f9e89d 608648 trousers-dbg_0.3.5-3_amd64.deb
 5c73a85b3671e40b24d9ca345669e1b80d5e33dee59a9b2cab7cfb10c16e43ab 203442 libtspi1_0.3.5-3_amd64.deb
 821ef1e3bf10a2c9091494b0be9e68040deaf04647ae365c3bc292396ea5529f 660288 libtspi-dev_0.3.5-3_amd64.deb
 503bde6872492bacdcbb852d48238fba 1127 admin optional trousers_0.3.5-3.dsc
 50b7d79177aa32245b8256411477998f 19661 admin optional trousers_0.3.5-3.debian.tar.gz
 5223de558960a8e004131cd69fd24189 152562 admin optional trousers_0.3.5-3_amd64.deb
 89c9df3eebcdf33ac1b273e656d91cde 608648 debug extra trousers-dbg_0.3.5-3_amd64.deb
 acee70edbe3b4a83767b848996f91d62 203442 libs optional libtspi1_0.3.5-3_amd64.deb
 203af9af7025b804e2f838aa16c0bc16 660288 libdevel optional libtspi-dev_0.3.5-3_amd64.deb

Version: GnuPG v1.4.11 (GNU/Linux)


--- End Message ---

Reply to: